<div *ngIf="(notification$ | async) && !(isMeditating$ | async)" class="notification">
  {{ notification$ | async }}
</div>

<mat-tab-group #tabGroup color="primary" backgroundColor="primary" mat-stretch-tabs (selectedIndexChange)="navigate($event)" [class.hide-labels]="isMeditating$ | async">
  <mat-tab label="MEDITATION">
    <meditation
      [class.hidden]="!isCurrentTab('meditation')"
      *ngIf="activated.indexOf('meditation') > -1"
      class="flexbox-parent"
      (loadingFinished)="afterLoadedComponent()"
    ></meditation>
  </mat-tab>

  <mat-tab [disabled]="(isMeditating$ | async)">
    <ng-template mat-tab-label >
      <span
        [matBadgeHidden]="(isMeditating$ | async) || newMessages < 1 || currentTab === 'chat'"
        [matBadge]="newMessages"
        matBadgeOverlap="false"
        matBadgeColor="accent"
      >
        CHAT
      </span>
    </ng-template>

    <message
      [class.hidden]="!isCurrentTab('chat')"
      *ngIf="activated.indexOf('chat') > -1"
      class="flexbox-parent"
      (loadingFinished)="afterLoadedComponent()"
    ></message>
  </mat-tab>

  <mat-tab [disabled]="(isMeditating$ | async)">
    <ng-template mat-tab-label>
      <span
        [matBadgeHidden]="(isMeditating$ | async) || newQuestions < 1"
        [matBadge]="newQuestions"
        matBadgeOverlap="false"
        matBadgeColor="accent"
      >
        ASK
      </span>
    </ng-template>

    <question
      [class.hidden]="!isCurrentTab('ask')"
      *ngIf="activated.indexOf('ask') > -1"
      class="flexbox-parent"
      (loadingFinished)="afterLoadedComponent()"
    ></question>
  </mat-tab>
</mat-tab-group>
